MailerResultCollector (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.reporters, class: MailerResultCollector

Package org.apache.jmeter.reporters

# Class MailerResultCollector

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.reporters.AbstractListenerElement
org.apache.jmeter.reporters.ResultCollector
org.apache.jmeter.reporters.MailerResultCollector

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `NoThreadClone`, `Searchable`, `Clearable`, `Remoteable`, `SampleListener`, `org.apache.jmeter.testelement.TestElement`, `TestStateListener`

public class MailerResultCollector extends ResultCollector implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MAILER_MODEL`

  ### Fields inherited from class org.apache.jmeter.reporters.ResultCollector

  `FILENAME`

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MailerResultCollector()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `MailerModel`
  `getMailerModel()`
  `void`
  `sampleOccurred(SampleEvent e)`
  When a test result is received, display it and save it.

  ### Methods inherited from class org.apache.jmeter.reporters.ResultCollector

  `clearData, clone, flushFile, getFilename, getSaveConfig, isErrorLogging, isSampleWanted, isSampleWanted, isSuccessOnlyLogging, loadExistingFile, sampleStarted, sampleStopped, sendToVisualizer, setErrorLogging, setFilename, setSaveConfig, setSuccessOnlyLogging, testEnded, testEnded, testStarted, testStarted`

  ### Methods inherited from class org.apache.jmeter.reporters.AbstractListenerElement

  `getVisualizer, setListener`

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Field Details

  - ### MAILER_MODEL

    public static final String MAILER_MODEL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MailerResultCollector

    public MailerResultCollector()

- ## Method Details

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `org.apache.jmeter.testelement.TestElement`
    Overrides:
      `clear` in class `AbstractTestElement`

  - ### sampleOccurred

    public void sampleOccurred(SampleEvent e)
    When a test result is received, display it and save it.
    Specified by:
      `sampleOccurred` in interface `SampleListener`
    Overrides:
      `sampleOccurred` in class `ResultCollector`
    Parameters:
      `e` - the sample event that was received

  - ### getMailerModel

    public MailerModel getMailerModel()